#!/bin/sh

folders=($(ls $PWD/config))
files=("bashrc" "zshrc" "profile" "xbindkeysrc" "xprofile")
projdir="/projects"
localdir="$HOME/.local/share"

for folder in "${folders[@]}"; do
	 ln -sf $PWD/config/$folder $HOME/.config/
done

for file in "${files[@]}"; do
	ln -sf $PWD/$file $HOME/.$file
done

# TODO Clean me up
mkdir -p $HOME/.config/zsh/{plugins,zprompts}
git clone https://code.criminallycute.fi/siina/gitstatus $localdir/gitstatus
ln -sf $HOME/.local/share/gitstatus/gitstatus.plugin.zsh $HOME/.config/zsh/plugins/gitstatus.zsh
ln -sf $PWD/zprompts/bunni.zsh $HOME/.config/zsh/zprompts/prompt_bunni_setup

git clone https://gitlab.com/code-stats/code-stats-zsh $localdir/code-stats-zsh
ln -sf $localdir/code-stats-zsh/codestats.plugin.zsh $HOME/.config/zsh/plugins/codestats.zsh
